umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- a
- c
- d
- e
- f
- i
- l
- m
- n
- o
- p
- r
- s
- u
- v
- x

Here is a list of all macros with links to the files they belong to:

### - a -

- A_HEIGHT : actorwidget.h, objectwidget.cpp
- A_MARGIN : actorwidget.h, objectwidget.cpp
- A_WIDTH : actorwidget.h, objectwidget.cpp
- ACTIVITY_HEIGHT : activitywidget.h
- ACTIVITY_MARGIN : activitywidget.h
- ACTIVITY_WIDTH : activitywidget.h
- ARTIFACT_MARGIN : artifactwidget.h

### - c -

- COMPONENT_MARGIN : componentwidget.h

### - d -

- DATATYPE_MARGIN : datatypewidget.h
- DBG_SRC : assocrules.cpp, umldragdata.cpp, cmdlineexportallviewsevent.cpp, cmdsettxt.cpp, adaimport.cpp, classimport.cpp, cppimport.cpp, csvalaimportbase.cpp, idlimport.cpp, import_utils.cpp, javaimport.cpp, cpptree2uml.cpp, nativeimportbase.cpp, pascalimport.cpp, phpimport.cpp, pythonimport.cpp, debug_utils.h, diagram_utils.cpp, classifierlistpage.cpp, docbookgenerator.cpp, xhtmlgenerator.cpp, dotgenerator.cpp, file_utils.cpp, icon_utils.cpp, import_argo.cpp, import_rose.cpp, layoutgenerator.cpp, main.cpp, model_utils.cpp, object_factory.cpp, petaltree2uml.cpp, umlappprivate.cpp, umllistviewitem.cpp, umlscene.cpp, umlviewimageexporter.cpp, umlviewimageexportermodel.cpp, associationwidget.cpp, layoutgrid.cpp, widget_factory.cpp, widget_utils.cpp
- DEBUG : debug_utils.h
- DEBUG_AddAction : listpopupmenu.cpp
- DEBUG_EndMenu : listpopupmenu.cpp
- DEBUG_N : debug_utils.h
- DEBUG_REGISTER : debug_utils.h
- DEBUG_REGISTER_DISABLED : debug_utils.h
- DEBUG_SHOW_FILTER : debug_utils.h
- DEBUG_StartMenu : listpopupmenu.cpp
- DefineDontAskAgainItem : dontaskagain.h
- DOTGENERATOR_DEBUG : dotgenerator.cpp, dotgenerator.h

### - e -

- ENC_OLD_ENC : umldoc.h
- ENC_UNICODE : umldoc.h
- ENC_UNKNOWN : umldoc.h
- ENC_WINDOWS : umldoc.h
- ENTITY_MARGIN : entitywidget.h
- ENUM_MARGIN : enumwidget.h
- ENUM_NAME : debug_utils.h

### - f -

- FLOATING_DASH_LINE_MARGIN : floatingdashlinewidget.h
- FLOATING_DASH_LINE_TEXT_MARGIN : floatingdashlinewidget.h

### - i -

- I18N_NEXT_RELEASE : umlwidget.cpp
- ICON_PREFIX : icon_utils.cpp
- IS_DEBUG_ENABLED : debug_utils.h
- IS_NOT_IMPL : testbase.h

### - l -

- LAYOUTGENERATOR_DEBUG : layoutgenerator.cpp
- logDebug0 : uml.h
- logDebug1 : uml.h
- logDebug2 : uml.h
- logDebug3 : uml.h
- logDebug4 : uml.h
- logDebug5 : uml.h
- logDebug6 : uml.h
- logError0 : uml.h
- logError1 : uml.h
- logError2 : uml.h
- logError3 : uml.h
- logError4 : uml.h
- logError5 : uml.h
- logInfo0 : uml.h
- logInfo1 : uml.h
- logInfo2 : uml.h
- logInfo3 : uml.h
- logInfo4 : uml.h
- logInfo5 : uml.h
- logWarn0 : uml.h
- logWarn1 : uml.h
- logWarn2 : uml.h
- logWarn3 : uml.h
- logWarn4 : uml.h
- logWarn5 : uml.h
- LPMIBI : listpopupmenu.cpp
- LPMISI : listpopupmenu.cpp

### - m -

- MAX_TRACERCLIENTS : debug_utils.cpp
- MAXLINES : codegenerationpolicy.cpp

### - n -

- N_STEREOATTRS : n_stereoattrs.h
- NR_OF_TOOLBAR_STATES : toolbarstatefactory.h

### - o -

- O_MARGIN : objectwidget.cpp
- O_WIDTH : objectwidget.cpp
- OBJECTNODE_HEIGHT : objectnodewidget.cpp
- OBJECTNODE_MARGIN : objectnodewidget.cpp
- OBJECTNODE_WIDTH : objectnodewidget.cpp

### - p -

- PACKAGE_MARGIN : packagewidget.h
- PATH_SEPARATOR : import_utils.cpp
- PIXEL_TOLERANCE : associationwidget.cpp
- POINT_DELTA : floatingdashlinewidget.h
- PRECONDITION_HEIGHT : preconditionwidget.cpp
- PRECONDITION_MARGIN : preconditionwidget.cpp
- PRECONDITION_WIDTH : preconditionwidget.cpp

### - r -

- REGION_HEIGHT : regionwidget.cpp
- REGION_MARGIN : regionwidget.cpp
- REGION_WIDTH : regionwidget.cpp

### - s -

- SETCODEC : import_rose.cpp
- SIGNAL_HEIGHT : signalwidget.h
- SIGNAL_MARGIN : signalwidget.h
- SIGNAL_WIDTH : signalwidget.h
- STACKSIZE : cpptree2uml.h
- STATE_HEIGHT : statewidget.h
- STATE_MARGIN : statewidget.h
- STATE_WIDTH : statewidget.h

### - u -

- UC_HEIGHT : usecasewidget.h
- UC_MARGIN : categorywidget.h, usecasewidget.h
- UC_RADIUS : categorywidget.h
- UC_WIDTH : usecasewidget.h
- uDebug : debug_utils.h
- uError : debug_utils.h
- uIgnoreZeroPointer : debug_utils.h
- UMBRELLO_EXPORT_PLUGIN_FACTORY : plugin.h
- uWarning : debug_utils.h

### - v -

- VERBOSE_DBG_OUT : birdview.cpp

### - x -

- XMI1_FILE_VERSION : version.h
- XMI2_FILE_VERSION : version.h